Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157027 - gulm packaging nits
Summary: gulm packaging nits
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gulm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 10:51 UTC by Joe Orton
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.0.0.pre30.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:15:31 UTC


Attachments (Terms of Use)

Description Joe Orton 2005-05-06 10:51:22 UTC
# chkconfig: 22 78
# description: start/stop the gulm lock daemon

Installing gulm-1.0-0.pre28.6.i386.
service lock_gulmd does not support chkconfig
error: %post(gulm-1.0-0.pre28.6.i386) scriptlet failed, exit status 1

also, a packaging nit:

any -devel package should require a matching VR of main package, i.e.

Requires: gulm = %{version}-%{release}

Comment 1 Joe Orton 2005-05-06 10:58:59 UTC
Bill fixed the former.  The missing Requires remains; other issues:

2. gulm-devel %description needs expanding at least to have the standard "This
package contains... " text for a -devel package
3. /usr/lib/libgulm.so should be in the -devel package not the main package
unless there is some app which does dlopen("libgulm.so", ...) at runtime.
4. add a %doc COPYING at least to the main package
5. lock_gulm(8) has odd formatting in the OPTIONS section:

OPTIONS

<NO PARAGRAPH INDENT!>
You  can completely configure gulm from the command line.  If you
do this, you need to use the same options on every  node  in  the
...


Comment 2 Joe Orton 2005-05-06 11:02:27 UTC
6. also missing deps for the scriptlets, add:

Requires(post,preun): /sbin/chkconfig

to the main package

7. use the %{ix86} macro in place of i386 in the ExclusiveArch line, since
people can validly attempt to build this package for an athlon or i686 target.

Comment 3 Chris Feist 2005-05-23 15:40:22 UTC
All of these should be fixed in the latest release of gulm (1.0.0.pre30.0+)


Note You need to log in before you can comment on or make changes to this bug.